# 请勿更改版本号!
version: 1

# +--------------------------------------------------------------------------------------------------------------------+
# |  自定义分组                                                                                                        |
# +--------------------------------------------------------------------------------------------------------------------+
# section-begin: custom_group_definitions

# 分组教程请查看https://github.com/froobynooby/Simple-Anti-Mob-Lag/wiki/Custom-groups .
# 组名需求:
#  - 可用字符: 0-9, a-z 和 _
#  - 开头必须加上 'default_'
group:
  egg_farm:
    definition: |-
      specific_center_member_type{"acceptedTypes": ["CHICKEN"]}
      & default_distance{"separationDistance": 1}
      & default_total_count{"minimumSize": 5}

  1_13_iron_farm_villagers:
    definition: |-
      specific_center_member_type{"acceptedTypes": ["VILLAGER"]}
      & default_distance{"separationDistance": 2}
      & default_total_count{"minimumSize": 5}

  animal_farm:
    definition: |-
      specific_center_member_type{"acceptedTypes": ["animal"]}
      & default_distance{"separationDistance": 8, "metric": "supremum"}
      & default_total_count{"minimumSize": 10}

  dense_animal_farm:
    definition: |-
      specific_center_member_type{"acceptedTypes": ["animal"]}
      & default_distance{"separationDistance": 0.9, "metric": "supremum"}
      & default_total_count{"minimumSize": 9}

  enderman_grinder:
    definition: |-
      default_specific_center_type{"acceptedTypes": ["ENDERMITE"]}
      & default_specific_type{"acceptedTypes": ["ENDERMAN"]}
      & default_distance{"separationDistance": 20, "weightY": 0}
      & default_type_count{"typedMinimumSize": {"ENDERMAN": 10}}

  near_player:
    definition: |-
      *(default_specific_type{"acceptedTypes": ["PLAYER"]}
      & default_distance{"separationDistance": %withinDistance%}
      & default_total_count{"minimumSize": 2})
    arguments:
      withinDistance:
        required: false
        default: 10

  lag_causers:
    definition: |-
      default_singular{"acceptedTypes": ["watermob", "ambient", "PILLAGER"]}


helper:
  specific_center_member_type:
    definition: |-
      default_specific_center_type{"acceptedTypes": %acceptedTypes%}
      & default_specific_type{"acceptedTypes": %acceptedTypes%}
    arguments:
      acceptedTypes:
        required: true

# section-end
